%define         major           2
%define         libname         %mklibname %{name} %{major}
%define         develname       %mklibname %{name} -d
%define         srcname         c-toxcore

Name:           toxcore
Version:        0.2.20
Release:        %mkrel 2
Summary:        A cryptographic network library for instant messaging
License:        GPLv3
Group:          Networking/Instant messaging

URL:            https://tox.chat
Source0:        https://github.com/TokTok/c-toxcore/releases/download/v%{version}/%{srcname}-%{version}.tar.gz


BuildRequires:  cmake
BuildRequires:  pkgconfig(libconfig)
BuildRequires:  pkgconfig(libsodium)
BuildRequires:  pkgconfig(vpx)
BuildRequires:  pkgconfig(opus)
BuildRequires:  pkgconfig(check)
BuildRequires:  pkgconfig(ncurses)


%description
Tox is an experimental peer to peer (serverless) instant messenger
aimed at making security and privacy easy to obtain for regular
users. It uses NaCl (sodium) for its encryption and authentication.



%package -n %{libname}
Summary:        A cryptographic network library for instant messaging
Group:          System/Libraries

%description -n %{libname}
Tox is an experimental peer to peer (serverless) instant messenger
aimed at making security and privacy easy to obtain for regular
users. It uses NaCl (sodium) for its encryption and authentication.


%package -n %{develname}
Summary:        Development files for the Toxcore libraries
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       toxcore-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files for the Toxcore libraries.


%prep

%setup -q -n %{srcname}-%{version}


%build
./autogen.sh
%configure --disable-static
%make_build




%install
%make_install




%files -n %{libname}
%license LICENSE
%doc README.md CHANGELOG.md
%{_libdir}/libtox*.so.%{major}{,.*}


%files -n %{develname}
%{_includedir}/tox/
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libtox*.so




%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.2.20-2.mga10
+ Revision: 2236961
- Mageia 10 Mass Rebuild

* Tue Feb 25 2025 daviddavid <daviddavid> 0.2.20-1.mga10
+ Revision: 2152232
- new version: 0.2.20

* Sun Jan 12 2025 daviddavid <daviddavid> 0.2.19-2.mga10
+ Revision: 2138632
- rebuild for new libvpx 1.14.1

* Sun May 05 2024 eatdirt <eatdirt> 0.2.19-1.mga10
+ Revision: 2062264
- Upgrade to version 0.2.19

* Tue Oct 10 2023 danf <danf> 0.2.18-3.mga10
+ Revision: 1994019
- Rebuild for new libvpx

* Tue Oct 11 2022 ghibo <ghibo> 0.2.18-2.mga9
+ Revision: 1896297
- Rebuild against libvpx 1.12.0 (changed major from 6 to 7)

* Fri Aug 26 2022 eatdirt <eatdirt> 0.2.18-1.mga9
+ Revision: 1880469
- Update to version 0.2.18

* Sat Apr 02 2022 umeabot <umeabot> 0.2.13-2.mga9
+ Revision: 1840893
- Mageia 9 Mass Rebuild

* Wed Dec 29 2021 neoclust <neoclust> 0.2.13-1.mga9
+ Revision: 1765148
- New version: Fixes CVE-2021-44847 (mga#29821)

* Sat Jul 11 2020 eatdirt <eatdirt> 0.2.12-1.mga8
+ Revision: 1604744
- Upgrade to version 0.2.12

* Sun Feb 16 2020 umeabot <umeabot> 0.2.10-2.mga8
+ Revision: 1533724
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Sep 24 2019 eatdirt <eatdirt> 0.2.10-1.mga8
+ Revision: 1445405
- Update to version 0.2.10

* Sun Feb 10 2019 zezinho <zezinho> 0.2.9-1.mga7
+ Revision: 1365096
- new version 0.2.9

* Wed Dec 19 2018 eatdirt <eatdirt> 0.2.8-1.mga7
+ Revision: 1342944
- Upgrade to version 0.2.8

* Sun Sep 23 2018 umeabot <umeabot> 0.2.4-2.mga7
+ Revision: 1301446
- Mageia 7 Mass Rebuild

* Mon Jul 30 2018 eatdirt <eatdirt> 0.2.4-1.mga7
+ Revision: 1245984
- Upgrade to version 0.2.4

* Mon May 21 2018 daviddavid <daviddavid> 0.2.2-2.mga7
+ Revision: 1230930
- rebuild against latest libvpx (mga#23059)

* Sun May 13 2018 eatdirt <eatdirt> 0.2.2-1.mga7
+ Revision: 1229032
- Upgrade to version 0.2.2

* Wed Mar 14 2018 eatdirt <eatdirt> 0.2.0-1.mga7
+ Revision: 1209352
- Upgrade to version 0.2.0

* Fri Feb 02 2018 daviddavid <daviddavid> 0.1.10-3.mga7
+ Revision: 1198546
- rebuild for new libvpx 1.7.0

* Thu Nov 16 2017 eatdirt <eatdirt> 0.1.10-2.mga7
+ Revision: 1177519
- Rebuild for new sodium

* Tue Nov 14 2017 eatdirt <eatdirt> 0.1.10-1.mga7
+ Revision: 1177315
- imported package toxcore

